package com.hai.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
public class CommonSysConfig {

    private String tuanYouUrl;
    private String tuanYouAppKey;
    private String tuanYouAppSecret;
    private String tuanYouDieselAccount;   // 柴油账号
    private String tuanYouGasolineAccount; // 汽油账号

    private String qinzhuUrl;
    private String qinzhuHtmlUrl;
    private String qinzhuMobileUrl; // 话费充值地址
    private String qinzhuPlatformId;
    private String qinzhuSecret;
    private String qianzhuOrderNotify;

    private String wx_cert;

    private String telApiKey;
    private String telApiSecret;
    private String telMemberId;
    private String telUrl;
    private String czOrderNotify;

    public String getQinzhuHtmlUrl() {
        return qinzhuHtmlUrl;
    }

    public void setQinzhuHtmlUrl(String qinzhuHtmlUrl) {
        this.qinzhuHtmlUrl = qinzhuHtmlUrl;
    }

    public String getCzOrderNotify() {
        return czOrderNotify;
    }

    public void setCzOrderNotify(String czOrderNotify) {
        this.czOrderNotify = czOrderNotify;
    }

    public String getQinzhuMobileUrl() {
        return qinzhuMobileUrl;
    }

    public void setQinzhuMobileUrl(String qinzhuMobileUrl) {
        this.qinzhuMobileUrl = qinzhuMobileUrl;
    }

    public String getQianzhuOrderNotify() {
        return qianzhuOrderNotify;
    }

    public void setQianzhuOrderNotify(String qianzhuOrderNotify) {
        this.qianzhuOrderNotify = qianzhuOrderNotify;
    }

    public String getTuanYouUrl() {
        return tuanYouUrl;
    }

    public void setTuanYouUrl(String tuanYouUrl) {
        this.tuanYouUrl = tuanYouUrl;
    }

    public String getTuanYouAppKey() {
        return tuanYouAppKey;
    }

    public void setTuanYouAppKey(String tuanYouAppKey) {
        this.tuanYouAppKey = tuanYouAppKey;
    }

    public String getTuanYouAppSecret() {
        return tuanYouAppSecret;
    }

    public void setTuanYouAppSecret(String tuanYouAppSecret) {
        this.tuanYouAppSecret = tuanYouAppSecret;
    }

    public String getTuanYouDieselAccount() {
        return tuanYouDieselAccount;
    }

    public void setTuanYouDieselAccount(String tuanYouDieselAccount) {
        this.tuanYouDieselAccount = tuanYouDieselAccount;
    }

    public String getTuanYouGasolineAccount() {
        return tuanYouGasolineAccount;
    }

    public void setTuanYouGasolineAccount(String tuanYouGasolineAccount) {
        this.tuanYouGasolineAccount = tuanYouGasolineAccount;
    }

    public String getQinzhuUrl() {
        return qinzhuUrl;
    }

    public void setQinzhuUrl(String qinzhuUrl) {
        this.qinzhuUrl = qinzhuUrl;
    }

    public String getQinzhuPlatformId() {
        return qinzhuPlatformId;
    }

    public void setQinzhuPlatformId(String qinzhuPlatformId) {
        this.qinzhuPlatformId = qinzhuPlatformId;
    }

    public String getQinzhuSecret() {
        return qinzhuSecret;
    }

    public void setQinzhuSecret(String qinzhuSecret) {
        this.qinzhuSecret = qinzhuSecret;
    }

    public String getWx_cert() {
        return wx_cert;
    }

    public void setWx_cert(String wx_cert) {
        this.wx_cert = wx_cert;
    }

    public String getTelApiKey() {
        return telApiKey;
    }

    public void setTelApiKey(String telApiKey) {
        this.telApiKey = telApiKey;
    }

    public String getTelApiSecret() {
        return telApiSecret;
    }

    public void setTelApiSecret(String telApiSecret) {
        this.telApiSecret = telApiSecret;
    }

    public String getTelMemberId() {
        return telMemberId;
    }

    public void setTelMemberId(String telMemberId) {
        this.telMemberId = telMemberId;
    }

    public String getTelUrl() {
        return telUrl;
    }

    public void setTelUrl(String telUrl) {
        this.telUrl = telUrl;
    }
}
